/*=============================================================================
 AMS Header File


=============================================================================*/
#ifndef AMS_H
#define AMS_H

#ifdef AMS_ALLOCATE
#define EXTERN
#else
#define EXTERN extern
#endif

/*-----------------------------------------------------------------------------
Variables
*/
/*The default width and height are set after first XtManagedChild call*/
EXTERN Dimension iams_defl_width_c;   
EXTERN Dimension iams_defl_height_c;

EXTERN SINT2 cur_tbl_len_c;

/*-----------------------------------------------------------------------------
Widgets & Callbacks 
*/

EXTERN Widget ams_mainbar;
EXTERN Widget ams_cmdsbtn, ams_cmdspdw;
void   ams_maincmds_cbf();
EXTERN Widget ams_filebtn, ams_filepdw;
void   ams_file_cbf();
void   ams_update_rqst(void );

EXTERN Widget ams_printpdw;

/* selections */

EXTERN Widget ams_switchlab, ams_switchtxt;
void ams_switchtxt_cbf();

EXTERN Widget ams_legendlab;

/* Warn product button and text */
EXTERN XsBTN_TXT ams_warnprod_type;
void ams_warnprodbtn_cbf();
void  ams_warnprodtxt_cbf();

/* Warn product popup list */
EXTERN XsFLB *ams_warnprodlist;
void ams_warnprodlistflb_cbf();
void ams_warnprodlistpop(char *sptr_a, UINT4 ilen_a);


EXTERN Widget ams_alrtstatopt, ams_alrtstatbtns[3];
void   ams_alrtstatopt_cbf();

/* New config button and text */
EXTERN XsBTN_TXT ams_newconfg_type;
void ams_newconfgbtn_cbf();
void ams_newconfgtxt_cbf();

/* New config popup list */
EXTERN XsFLB *ams_newconfglist;
void ams_newconfglistflb_cbf();
void ams_newconfglistpop( char *sptr_a, UINT4 ilen_a );


EXTERN Widget ams_applybtn, ams_clrbtn;
void ams_applybtn_cbf();
void ams_clrbtn_cbf();



/* List */
EXTERN Widget ams_recordlst;
void ams_recordlst_cbf();

void ams_update
  ( const struct mode_switching_table *pams_a, UINT4 ilen_a );

#define SMSG_WRITELOCK "\
Tap is Write-Locked."

#undef EXTERN
#endif
